const fs = require('fs')
const path = require('path')
const chalk = require('chalk')
const logSymbols = require('log-symbols')
const execSync = require('child_process').execSync

const gitPath = path.join(process.cwd(), process.env.HUSKY_GIT_PARAMS);
const mergeMsgPath = path.join(gitPath,'../','MERGE_MSG')

function mergeCheck(){
    const mergeMsg = fs.readFileSync(mergeMsgPath, 'utf-8');

    console.log(logSymbols.info, chalk.blue('开始分支检测...'))
    let curBranch = execSync("git symbolic-ref HEAD | sed -e \'s,.*/\(.*\),\1,\'", {encoding: 'utf-8'})

    console.log('curBranch', curBranch)
    console.log('mergeBranch' ,mergeMsg)
    // process.exit(1)
}

mergeCheck()


process.exit(0)